USE SamanDB2
--در سطر زیر شماره ی درخواست جاری را برابر @requestno قرار دهید
DECLARE @requestno bigint=48027  --**************
DECLARE @rc NVARCHAR(100)= (SELECT e.rc FROM Estates as e JOIN Request r ON e.id = r.est_id WHERE r.requestNo=@requestno)
PRINT @rc
--به دست آوردن کد نوسازی تا ساختمان
DECLARE @newrc NVARCHAR(100)= (SELECT LEFT (@rc , CHARINDEX('-',@rc,charindex('-',@rc,charindex('-',@rc,charindex('-',@rc)+1)+1)+1)-1))
PRINT @newrc

DECLARE @newrequestdate DATETIME= (SELECT r.lastStateDateTime FROM Request r WHERE r.requestNo=@requestno)
PRINT @newrequestdate
-------

--به دست آوردن Id مربوط به درخواست قدیم از جدول request
DECLARE @oldid NVARCHAR(100)= (SELECT r.id FROM Request r WHERE r.rc LIKE @newrc + '%' AND r.requestStatus='3' AND r.lastStateDateTime<@newrequestdate AND r.requestTypeValue IN('URBAN_REQUEST_TYPE_FIELD:88','URBAN_REQUEST_TYPE_FIELD:98','URBAN_REQUEST_TYPE_FIELD:90','URBAN_REQUEST_TYPE_FIELD:43','URBAN_REQUEST_TYPE_FIELD:33','URBAN_REQUEST_TYPE_FIELD:7','URBAN_REQUEST_TYPE_FIELD:8','URBAN_REQUEST_TYPE_FIELD:28','URBAN_REQUEST_TYPE_FIELD:53','URBAN_REQUEST_TYPE_FIELD:76'))
PRINT @oldid
--جهت اطمینان میتوانید خط 18 را هم اجرا کرده تا شماره درخواست را چک کنید
--SELECT r.requestNo,* FROM Request r WHERE r.id=@oldid 

-- ایدی مربوط به درخواست جدید از جدول estates
DECLARE @newid NVARCHAR(100) =( SELECT e.id from Estates e WHERE e.rc=@rc AND e.archive_id LIKE '%25E')
PRINT @newid

-- کپی اطلاعات مجاز از درخواست قدیم به درخواست جاری
SELECT NewID() id, created_by, GETDATE() creation_timestamp,actual_area, addition_to_density_area, addition_to_next_area, addition_to_surface_area, age_from, age_to, building_number, building_status, building_type, change_condition,
					change_usage_area, conversation_date, development_percent, ferry_no_licensed_building_area, first_depth_area, first_depth_count, floor, frontage_type, mouth_average, occupied_surface,
					 primary_mass_distance, primary_usage, roof_thickness, roof_type, secondary_mass_distance, secondary_usage, second_depth_area, second_depth_count, structure_type, third_depth_area, third_depth_count, unit_count, unit_number, usage_area,
					  usage_create_date, usage_depth, usage_status, useful_height, valid_usage,valid_usage_type='',wall_type,without_permit_area
						INTO #tempUsage
						FROM
							MapControlUsage
						WHERE
							requestId = @oldid
							
				
				
					INSERT INTO Usages(id, created_by, creation_timestamp, actual_area, addition_to_density_area, addition_to_next_area, addition_to_surface_area, age_from, age_to, building_number, building_status, building_type, change_condition,
				 change_usage_area, conversation_date, development_percent, ferry_no_licensed_building_area, first_depth_area, first_depth_count, floor, frontage_type, mouth_average, occupied_surface,
				  primary_mass_distance, primary_usage, roof_thickness, roof_type, secondary_mass_distance, secondary_usage, second_depth_area, second_depth_count, structure_type, third_depth_area, third_depth_count, unit_count, unit_number, usage_area,
				   usage_create_date, usage_depth, usage_status, useful_height, valid_usage,wall_type,without_permit_area,valid_usage_type)
			SELECT * FROM #tempUsage

					--**********
			INSERT INTO Buildings_Usages(Building_id, usages_id) SELECT @newid, id FROM #tempUsage


